From 35e5817353709c5c16521fee116bb3c70196aa0f Mon Sep 17 00:00:00 2001
From: Maik Qualmann <metzpinguin@gmail.com>
Date: Tue, 18 Jul 2023 18:31:51 +0200
Subject: [PATCH] for a new config under Linux scaling and high-resolution
 icons are enabled BUGS: 457272 FIXED-IN: 8.2.0

---
 core/utilities/setup/misc/systemsettings.cpp | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/core/utilities/setup/misc/systemsettings.cpp b/core/utilities/setup/misc/systemsettings.cpp
index f4e15803a11..c164bb0cd36 100644
--- a/core/utilities/setup/misc/systemsettings.cpp
+++ b/core/utilities/setup/misc/systemsettings.cpp
@@ -22,6 +22,7 @@
 // Local includes
 
 #include "digikam_debug.h"
+#include "digikam_config.h"
 
 namespace Digikam
 {
@@ -56,8 +57,19 @@ void SystemSettings::readSettings()
     QSettings settings(m_path, QSettings::IniFormat);
 
     settings.beginGroup(QLatin1String("System"));
+
+#ifdef Q_OS_LINUX
+
+    useHighDpiScaling = settings.value(QLatin1String("useHighDpiScaling"), true).toBool();
+    useHighDpiPixmaps = settings.value(QLatin1String("useHighDpiPixmaps"), true).toBool();
+
+#else
+
     useHighDpiScaling = settings.value(QLatin1String("useHighDpiScaling"), false).toBool();
     useHighDpiPixmaps = settings.value(QLatin1String("useHighDpiPixmaps"), false).toBool();
+
+#endif
+
     disableFaceEngine = settings.value(QLatin1String("disableFaceEngine"), false).toBool();
     enableLogging     = settings.value(QLatin1String("enableLogging"),     false).toBool();
     disableOpenCL     = settings.value(QLatin1String("disableOpenCL"),     true).toBool();
-- 
GitLab

